Index: trunk/source/geometry/solids/specific/include/G4ClippablePolygon.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4ClippablePolygon.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4ClippablePolygon.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ClippablePolygon.hh,v 1.11 2007/05/11 13:54:28 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4ClippablePolygon.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4ClippablePolygon.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4ClippablePolygon.icc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ClippablePolygon.icc,v 1.4 2006/06/29 18:46:41 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4Ellipsoid.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Ellipsoid.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4Ellipsoid.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Ellipsoid.hh,v 1.12 2007/05/18 07:39:56 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4Ellipsoid.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Ellipsoid.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4Ellipsoid.icc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Ellipsoid.icc,v 1.7 2006/10/20 13:45:20 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4EllipticalCone.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4EllipticalCone.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4EllipticalCone.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EllipticalCone.hh,v 1.12 2008/11/21 09:26:22 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4EllipticalCone.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4EllipticalCone.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4EllipticalCone.icc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EllipticalCone.icc,v 1.7 2008/11/21 09:26:22 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4EllipticalTube.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4EllipticalTube.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4EllipticalTube.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EllipticalTube.hh,v 1.18 2006/10/20 13:45:20 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4EllipticalTube.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4EllipticalTube.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4EllipticalTube.icc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EllipticalTube.icc,v 1.4 2006/06/29 18:46:55 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4EnclosingCylinder.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4EnclosingCylinder.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4EnclosingCylinder.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EnclosingCylinder.hh,v 1.8 2006/06/29 18:46:58 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExtrudedSolid.hh,v 1.7 2008/02/27 12:32:48 ivana Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4ExtrudedSolid.icc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExtrudedSolid.icc,v 1.2 2007/02/19 10:17:45 ivana Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4Hype.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Hype.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4Hype.hh	(revision 1058)
@@ -27,5 +27,5 @@
 // $Id: G4Hype.hh,v 1.15 2006/10/20 13:45:20 gcosmo Exp $
 // $Original: G4Hype.hh,v 1.0 1998/06/09 16:57:50 safai Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Hype.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Hype.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4Hype.icc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Hype.icc,v 1.7 2006/06/29 18:47:03 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4IntersectingCone.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4IntersectingCone.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4IntersectingCone.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4IntersectingCone.hh,v 1.11 2008/04/28 08:59:47 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Paraboloid.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Paraboloid.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4Paraboloid.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Paraboloid.hh,v 1.4 2008/01/22 17:42:09 tnikitin Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4Paraboloid.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Paraboloid.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4Paraboloid.icc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Paraboloid.icc,v 1.4 2007/08/21 12:58:36 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4PolyPhiFace.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4PolyPhiFace.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4PolyPhiFace.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolyPhiFace.hh,v 1.12 2008/05/15 11:41:58 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4PolyPhiFace.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4PolyPhiFace.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4PolyPhiFace.icc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolyPhiFace.icc,v 1.6 2006/06/29 18:47:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Polycone.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Polycone.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4Polycone.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Polycone.hh,v 1.22 2008/05/15 13:45:15 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Polycone.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Polycone.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4Polycone.icc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Polycone.icc,v 1.10 2006/06/29 18:47:14 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4PolyconeSide.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4PolyconeSide.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4PolyconeSide.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolyconeSide.hh,v 1.12 2008/05/15 11:41:58 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Polyhedra.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Polyhedra.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4Polyhedra.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Polyhedra.hh,v 1.20 2008/05/15 13:45:15 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4Polyhedra.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Polyhedra.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4Polyhedra.icc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Polyhedra.icc,v 1.11 2007/01/22 12:58:53 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/specific/include/G4PolyhedraSide.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4PolyhedraSide.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4PolyhedraSide.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolyhedraSide.hh,v 1.11 2008/05/15 11:41:59 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4QuadrangularFacet.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4QuadrangularFacet.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4QuadrangularFacet.hh	(revision 1058)
@@ -18,5 +18,5 @@
 // * This  code  implementation is the result of  the  scientific and *
 // * technical work of the GEANT4 collaboration and of QinetiQ Ltd,   *
-// * subject DEFCON 705 IPR conditions.                               *
+// * subject to DEFCON 705 IPR conditions.                            *
 // * By using,  copying,  modifying or  distributing the software (or *
 // * any work based  on the software)  you  agree  to acknowledge its *
@@ -25,6 +25,6 @@
 // ********************************************************************
 //
-// $Id: G4QuadrangularFacet.hh,v 1.5 2007/02/26 08:39:13 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4QuadrangularFacet.hh,v 1.6 2008/12/18 12:57:24 gunter Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4ReduciblePolygon.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4ReduciblePolygon.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4ReduciblePolygon.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ReduciblePolygon.hh,v 1.9 2006/06/29 18:47:29 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4SolidExtentList.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4SolidExtentList.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4SolidExtentList.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SolidExtentList.hh,v 1.7 2006/06/29 18:47:32 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.hh	(revision 1058)
@@ -18,4 +18,5 @@
 // * This  code  implementation is the result of  the  scientific and *
 // * technical work of the GEANT4 collaboration and of QinetiQ Ltd,   *
+// * subject to DEFCON 705 IPR conditions.                            *
 // * By using,  copying,  modifying or  distributing the software (or *
 // * any work based  on the software)  you  agree  to acknowledge its *
@@ -25,5 +26,5 @@
 //
 // $Id:
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TessellatedGeometryAlgorithms.icc	(revision 1058)
@@ -18,4 +18,5 @@
 // * This  code  implementation is the result of  the  scientific and *
 // * technical work of the GEANT4 collaboration and of QinetiQ Ltd,   *
+// * subject to DEFCON 705 IPR conditions.                            *
 // * By using,  copying,  modifying or  distributing the software (or *
 // * any work based  on the software)  you  agree  to acknowledge its *
@@ -25,5 +26,5 @@
 //
 // $Id:
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4TessellatedSolid.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TessellatedSolid.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TessellatedSolid.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TessellatedSolid.hh,v 1.10 2007/12/10 16:30:13 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4Tet.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4Tet.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4Tet.hh	(revision 1058)
@@ -30,5 +30,5 @@
 //
 // $Id: G4Tet.hh,v 1.9 2006/11/13 08:58:03 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/geometry/solids/specific/include/G4TriangularFacet.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TriangularFacet.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TriangularFacet.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TriangularFacet.hh,v 1.8 2007/12/10 16:30:18 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4TwistTrapFlatSide.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TwistTrapFlatSide.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TwistTrapFlatSide.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TwistTrapFlatSide.hh,v 1.5 2006/06/29 18:47:48 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4TwistTubsFlatSide.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TwistTubsFlatSide.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TwistTubsFlatSide.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TwistTubsFlatSide.hh,v 1.5 2006/06/29 18:47:53 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4TwistTubsHypeSide.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TwistTubsHypeSide.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TwistTubsHypeSide.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TwistTubsHypeSide.hh,v 1.5 2006/06/29 18:47:56 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4TwistTubsSide.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TwistTubsSide.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TwistTubsSide.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TwistTubsSide.hh,v 1.5 2006/06/29 18:47:58 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4TwistedBox.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TwistedBox.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TwistedBox.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TwistedBox.hh,v 1.10 2006/06/29 18:48:00 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4TwistedTrap.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TwistedTrap.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TwistedTrap.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TwistedTrap.hh,v 1.10 2006/06/29 18:48:02 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4TwistedTrd.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TwistedTrd.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TwistedTrd.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TwistedTrd.hh,v 1.6 2006/06/29 18:48:04 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4TwistedTubs.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4TwistedTubs.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4TwistedTubs.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TwistedTubs.hh,v 1.14 2007/05/23 09:32:35 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4VCSGface.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4VCSGface.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4VCSGface.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCSGface.hh,v 1.9 2008/05/15 11:41:59 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4VCSGfaceted.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4VCSGfaceted.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4VCSGfaceted.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCSGfaceted.hh,v 1.17 2008/05/15 13:45:15 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4VFacet.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4VFacet.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4VFacet.hh	(revision 1058)
@@ -18,5 +18,5 @@
 // * This  code  implementation is the result of  the  scientific and *
 // * technical work of the GEANT4 collaboration and of QinetiQ Ltd,   *
-// * subject DEFCON 705 IPR conditions.                               *
+// * subject to DEFCON 705 IPR conditions.                            *
 // * By using,  copying,  modifying or  distributing the software (or *
 // * any work based  on the software)  you  agree  to acknowledge its *
@@ -25,6 +25,6 @@
 // ********************************************************************
 //
-// $Id: G4VFacet.hh,v 1.6 2007/08/23 14:45:03 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4VFacet.hh,v 1.7 2008/12/18 12:57:30 gunter Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4VFacet.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4VFacet.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4VFacet.icc	(revision 1058)
@@ -18,5 +18,5 @@
 // * This  code  implementation is the result of  the  scientific and *
 // * technical work of the GEANT4 collaboration and of QinetiQ Ltd,   *
-// * subject DEFCON 705 IPR conditions.                               *
+// * subject to DEFCON 705 IPR conditions.                            *
 // * By using,  copying,  modifying or  distributing the software (or *
 // * any work based  on the software)  you  agree  to acknowledge its *
@@ -25,6 +25,6 @@
 // ********************************************************************
 //
-// $Id: G4VFacet.icc,v 1.5 2007/08/23 14:45:03 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4VFacet.icc,v 1.6 2008/12/18 12:57:32 gunter Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Index: trunk/source/geometry/solids/specific/include/G4VTwistSurface.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4VTwistSurface.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4VTwistSurface.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VTwistSurface.hh,v 1.6 2007/05/11 13:54:28 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4VTwistSurface.icc
===================================================================
--- trunk/source/geometry/solids/specific/include/G4VTwistSurface.icc	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4VTwistSurface.icc	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VTwistSurface.icc,v 1.3 2006/06/29 18:48:20 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/geometry/solids/specific/include/G4VTwistedFaceted.hh
===================================================================
--- trunk/source/geometry/solids/specific/include/G4VTwistedFaceted.hh	(revision 921)
+++ trunk/source/geometry/solids/specific/include/G4VTwistedFaceted.hh	(revision 1058)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VTwistedFaceted.hh,v 1.10 2006/10/20 13:45:20 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 // 
 // --------------------------------------------------------------------